package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.common.utils.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 博雅集 Archives Unbound（Gale）对象 vr_archives_unbound
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public class ArchivesUnbound extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 英文名
     */
    @Excel(name = "英文名")
    private String englishName;

    /**
     * 中文名
     */
    @Excel(name = "中文名")
    private String chineseName;

    /**
     * 简介
     */
    @Excel(name = "简介")
    private String introduce;

    /**
     * 访问地址
     */
    @Excel(name = "访问地址")
    private String link;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    public String getTitle() {
        return StringUtils.isEmpty(chineseName) ? englishName : chineseName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("englishName", getEnglishName())
                .append("chineseName", getChineseName())
                .append("introduce", getIntroduce())
                .append("link", getLink())
                .append("sort", getSort())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
