package com.ruoyi.project.VRdemo.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 研究对象 vr_research
 *
 * @author ruoyi
 * @date 2024-06-23
 */
public class Research extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 书名 */
    @Excel(name = "书名")
    private String title;

    /** 作者 */
    @Excel(name = "作者")
    private String author;

    /** 出版机构 */
    @Excel(name = "出版机构")
    private String institution;

    /** 主题词 */
    @Excel(name = "主题词")
    private String topic;

    /** 出版年 */
//    @JsonFormat(pattern = "yyyy")
    @Excel(name = "出版年")
    private String publicationTime;

    /** 分类号 */
    @Excel(name = "分类号")
    private String category;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setAuthor(String author)
    {
        this.author = author;
    }

    public String getAuthor()
    {
        return author;
    }
    public void setInstitution(String institution)
    {
        this.institution = institution;
    }

    public String getInstitution()
    {
        return institution;
    }
    public void setTopic(String topic)
    {
        this.topic = topic;
    }

    public String getTopic()
    {
        return topic;
    }
    public void setPublicationTime(String publicationTime)
    {
        this.publicationTime = publicationTime;
    }

    public String getPublicationTime()
    {
        return publicationTime;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("author", getAuthor())
                .append("institution", getInstitution())
                .append("topic", getTopic())
                .append("publicationTime", getPublicationTime())
                .append("category", getCategory())
                .append("sort", getSort())
                .toString();
    }
}
