package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.Press;
import com.ruoyi.project.VRdemo.domain.Research;
import com.ruoyi.project.VRdemo.domain.Thesis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

@Mapper
public interface SearchDataMapper {

    /**
     * 查询vr_press列表
     */
    @Select("${SqlString}")
    List<Press> ExecuteSearchPressSql(String SqlString);


    /**
     * 查询vr_research列表
     */
    @Select("${SqlString}")
    List<Research> ExecuteSearchResearchSql(String SqlString);

    /**
     * 查询vr_thesis列表
     */
    @Select("${SqlString}")
    List<Thesis> ExecuteSearchThesisSql(String SqlString);
}
