package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.ArchivesUnbound;

/**
 * 博雅集 Archives Unbound（Gale）Service接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface IArchivesUnboundService {

    /**
     * 查询博雅集 Archives Unbound（Gale）
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 博雅集 Archives Unbound（Gale）
     */
    ArchivesUnbound selectArchivesUnboundById(Long id);

    /**
     * 查询博雅集 Archives Unbound（Gale）列表
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 博雅集 Archives Unbound（Gale）集合
     */
    List<ArchivesUnbound> selectArchivesUnboundList(ArchivesUnbound archivesUnbound);

    /**
     * 新增博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    int insertArchivesUnbound(ArchivesUnbound archivesUnbound);

    /**
     * 新增博雅集 Archives Unbound（Gale）数据列表
     *
     * @param dataList 博雅集 Archives Unbound（Gale）数据列表
     * @return 结果
     */
    String importData(List<ArchivesUnbound> dataList, boolean updateSupport);

    /**
     * 修改博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    int updateArchivesUnbound(ArchivesUnbound archivesUnbound);

    /**
     * 批量删除博雅集 Archives Unbound（Gale）
     *
     * @param ids 需要删除的博雅集 Archives Unbound（Gale）主键集合
     * @return 结果
     */
    int deleteArchivesUnboundByIds(Long[] ids);

    /**
     * 删除博雅集 Archives Unbound（Gale）信息
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 结果
     */
    int deleteArchivesUnboundById(Long id);

}
