package com.ruoyi.common.utils.poi;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.domain.imData.NoticeImData;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

public class NoticeImListener extends AnalysisEventListener<NoticeImData>  {


    @Autowired
    private DataExcelMapper DataExcelMapper;


    // 定义每次读取的行数，默认值是100
    private static final int BATCH_COUNT = 100;
    // 存储读取到的数据
    private List<NoticeImData> dataList = new ArrayList<>();

    public List<NoticeImData> getDataList() {
        return dataList;
    }
    //    public ImportListener(ImportMapper importMapper) {
//    }
    public NoticeImListener(DataExcelMapper DataExcelMapper) {
        this.DataExcelMapper = DataExcelMapper;
    }

    // 解析每一行数据时的回调方法
    @Override
    public void invoke(NoticeImData noticeImData, AnalysisContext analysisContext) {

        // 将读取到的数据存入dataList中
        dataList.add(noticeImData);
        // 判断读取的数据是否达到BATCH_COUNT，达到了就进行批量插入操作
//        if (dataList.size() >= BATCH_COUNT) {
//            saveData();
//
//        }
    }

    // 批量插入数据
//    private void saveData() {
//
//            exportMapper.insertDataList(dataList);
//
//    }



    // 所有数据解析完成后的回调方法，其中analysisContext包含解析的统计信息
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
//        if (!dataList.isEmpty()) {
//            // 批量插入剩余的数据
//            saveData();
//
//        }
    }
}
