package com.ruoyi.project.VRdemo.service;

import com.ruoyi.project.VRdemo.domain.NoteData;
import com.ruoyi.project.VRdemo.domain.NoteNationData;
import com.ruoyi.project.VRdemo.domain.vo.NoteNationDataVo;

import java.util.List;

public interface INoteNationDataService {
    /**
     * 查询文档（地区）
     *
     * @param id 文档（地区）主键
     * @return 文档（地区）
     */
    public NoteNationData selectNoteNationDataById(Long id);

    /**
     * 查询文档（地区）列表
     *
     * @param noteNationData 文档（地区）
     * @return 文档（地区）集合
     */
    public List<NoteNationData> selectNoteNationDataList(NoteNationData noteNationData);

    /**
     * 新增文档（地区）
     *
     * @param noteNationData 文档（地区）
     * @return 结果
     */
    public int insertNoteNationData(NoteNationData noteNationData);

    /**
     * 修改文档（地区）
     *
     * @param noteNationData 文档（地区）
     * @return 结果
     */
    public int updateNoteNationData(NoteNationData noteNationData);

    /**
     * 批量删除文档（地区）
     *
     * @param ids 需要删除的文档（地区）主键集合
     * @return 结果
     */
    public int deleteNoteNationDataByIds(Long[] ids);
    /**
     * 校验用户名称是否唯一
     *
     * @param noteNationData 用户信息
     * @return 结果
     */
    public boolean checkUserNameUnique(NoteNationData noteNationData);
    /**
     * 删除文档（地区）信息
     *
     * @param id 文档（地区）主键
     * @return 结果
     */
    public int deleteNoteNationDataById(Long id);
    boolean deleteFile(Long ids);
    public List<NoteData> selectNoteNationDataListVo(NoteNationDataVo noteNationDataVo);
}
